#
# spec file for package utempter
#
# Copyright (c) 2022-2023 ZhuningOS
#


%define lname	libutempter0
%define utmpGroup utmp
Name:           utempter
Version:        1.1.6
Release:        3.42
Summary:        A privileged helper for utmp and wtmp updates
License:        MIT
Group:          Productivity/Security
Url:            ftp://ftp.altlinux.org/pub/people/ldv/utempter/
Source:         ftp://ftp.altlinux.org/pub/people/ldv/utempter/lib%{name}-%{version}.tar.bz2
Source1:        ftp://ftp.altlinux.org/pub/people/ldv/utempter/lib%{name}-%{version}.tar.bz2.asc
Source2:        baselibs.conf
Source3:        %{name}.keyring
Patch0:         utempter.eal3.diff
Patch1:         utempter-no-staticlib.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Utempter is a utility that allows non-privileged applications such as
terminal emulators to modify the utmp database without having to be
setuid root.

%package devel
Summary:        Development files for utempter
Group:          Development/Libraries/C and C++
Requires:       %{lname} = %{version}

%description devel
Utempter is a privileged helper for utmp and wtmp updates.  This
package contains the development files needed.

%package -n %{lname}
Summary:        Shared library of utempter
Group:          Development/Libraries/C and C++
Requires(post): permissions
%if 0%{?suse_version} >= 1330
Requires(pre):  group(%{utmpGroup})
%endif
Provides:       %{name} = %{version}
Obsoletes:      %{name} < 0.5.6

%description -n %{lname}
Utempter is a privileged helper for utmp and wtmp updates.  This
package contains the library used by applications.

%prep
%setup -q -n lib%{name}-%{version}
%patch0 -p1
%patch1 -p1

%build
make %{?_smp_mflags} RPM_OPT_FLAGS="%{optflags} -fPIC" CC="gcc"

%install
export DESTDIR=%{buildroot}
make PREFIX=$DESTDIR libdir=%{_libdir} DESTDIR=%{buildroot} install
chmod 755 $DESTDIR%{_libdir}/libutempter.so*

%verifyscript -n %{lname}
%verify_permissions -e %{_libexecdir}/utempter/utempter

%post -n %{lname}
%set_permissions %{_libexecdir}/utempter/utempter
/sbin/ldconfig

%postun -n %{lname} -p /sbin/ldconfig

%files -n %{lname}
%defattr(644,root,root,755)
%license COPYING
%dir %{_libexecdir}/utempter
%attr(02755, root, %{utmpGroup}) %{_libexecdir}/utempter/utempter
%attr(755,root,root) %{_libdir}/libutempter.so.*
%attr(644,root,root) %doc %{_mandir}/man8/*

%files devel
%defattr(-,root,root)
%license COPYING
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libutempter.so
%attr(644,root,root) %{_includedir}/utempter.h
%attr(644,root,root) %doc %{_mandir}/man3/*

%changelog
